Subject: Re: bug#10518: Failing compile of guile-2.0.3.157-1bd9a on Solaris 9 Sparc

From: Dagobert Michelsen <[email-masked]>
Date: Mon, 6 Feb 2012 09:50:34 +0100

Hi Andy,

Am 03.02.2012 um 14:11 schrieb Andy Wingo:
> On Sun 15 Jan 2012 22:53, Dagobert Michelsen <[email-masked]> writes:
>> I am currently trying to compile the "call-for-testers" guile-2.0.3.157-1bd9a on
>> Solaris 9 Sparc with Sun Studio 12 and get a compilation error:
> 
> Thanks for giving it a try!  It's a bit embarassing that this didn't
> work, but I did track down the issue today.
> 
> Some parts of Guile want byte arrays aligned on 8-byte boundaries.  We
> use __attribute__((aligned(8))) on GCC to do that.  Probably your
> compiler has something similar; it would be great if you could
> contribute a patch to libguile/__scm.h to define SCM_ALIGNED there.

The attached patch should take care of the issue, although I couldn't
verify it as I now get another error.

> We do have a fallback that involves mallocing a buffer, and copying the
> unaligned buffer into the malloc'd buffer.  That code was not working in
> a couple of cases.  I think I have fixed it; at least, I tried it out
> locally, and it worked for me.

If it helps I can offer an account on our Solaris buildfarm where it
should be much easier for you to track issues without me fiddling in
the middle :-) Ludovic Courtès from your project already has an account
there and if you want I can set up one for you too:
  http://www.opencsw.org/extend-it/signup/to-upstream-maintainers/

Best regards

  -- Dago

-- 
"You don't become great by trying to be great, you become great by wanting to do something,
and then doing it so hard that you become great in the process." - xkcd #896